import SecureBlackbox.FTPSServer.*;

public class UserDataRow {
	
	public String Name;
	public String HomeDir;
	public String SpeedLimit;
	
	public UserDataRow(TElFTPSUser tag) {
		Name = tag.getName();
		HomeDir = tag.getBasePath();
        if (tag.getIncomingSpeedLimit() > 0)
        	SpeedLimit = tag.getIncomingSpeedLimit() + " kb/sec";
        else
        	SpeedLimit = "unlimited";
	} 
}