import SecureBlackbox.PGP.*;

public class ProtectionProps {

	public static PanelProtection getProtectionPanel(){
		return PanelProtectionDescriptor.panel;
	}
	
	public static boolean isMakeSFX(){
		//return getProtectionPanel().selfExtr.isSelected();
		return false;
	}

	public static boolean isArm() {
		return getProtectionPanel().useArm.isSelected();
	}

	public static boolean isCompress() {
		return getProtectionPanel().compress.isSelected();	}

	public static boolean isUseConvEnc() {
		return getProtectionPanel().useConv.isSelected();
	}

	public static boolean isPassReq() {
		return isUseConvEnc();
	}
	
	public static boolean isTextInput() {
		return getProtectionPanel().treatAsText.isSelected();
	}

	public static String getPassphrase() {
		return new String(PanelSelectRecipientsDescriptor.panel.password.getPassword());
	}

	public static int getEncryptionAlg() {
		return getProtectionPanel().encAlg.getSelectedIndex();
	}

	public static int getProtLevel() {
		return getProtectionPanel().protLevel.getSelectedIndex();
	}

	public static boolean isSign() {
		return getProtectionPanel().signSrc.isSelected();
	}

	public static boolean useNewFeatures() {
		return getProtectionPanel().useNewFeatures.isSelected();
	}

	public static boolean useOldPackets() {
		return getProtectionPanel().useOldPack.isSelected();
	}

	public static int getHashAlgorithm() {
		return getProtectionPanel().hashAlg.getSelectedIndex();
	}

	public static boolean isEncrypt() {
		return getProtectionPanel().encSrc.isSelected();
	}

	public static String getSourcePath() {
		return PanelSelectSourceDescriptor.panel.txtSrc.getText();
	}

	public static String getDestPath() {
		return PanelSelectDestDescriptor.panel.txtDest.getText();
	}
	
	public static TElPGPKeyring getPubKeyring() {
		return PanelSelectRecipientsDescriptor.getKeys();
	}

	public static TElPGPKeyring getSecKeyring() {
		return PanelSelectSignersDescriptor.getKeys();
	}

	public static String getSecKeyringPath() {
		return PanelSelectFilesDescriptor.getSecKeyringPath();
	}

	public static String getPubKeyringPath() {
		return PanelSelectFilesDescriptor.getPubKeyringPath();
	}
}
