import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.JTextField;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JCheckBox;


public class AzureCredsDialog extends JDialog {

	private static final long serialVersionUID = 1L;
	private final JPanel contentPanel = new JPanel();
	private JTextField tbAccName;
	private JTextField tbAccKey;
	private boolean isOk;
	private JCheckBox chckbxDevelopmentModelocal;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			AzureCredsDialog dialog = new AzureCredsDialog();
			dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog.
	 */
	public AzureCredsDialog() {
		setTitle("Windows Azure credentials");
		setBounds(100, 100, 311, 219);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);
		contentPanel.setLayout(null);
		{
			JLabel lblPleaseProvideYour = new JLabel("Please provide your Windows Azure credentials:");
			lblPleaseProvideYour.setBounds(40, 11, 373, 14);
			contentPanel.add(lblPleaseProvideYour);
		}
		{
			JLabel lblKeyId = new JLabel("Account name:");
			lblKeyId.setBounds(10, 36, 89, 14);
			contentPanel.add(lblKeyId);
		}
		{
			tbAccName = new JTextField();
			tbAccName.setText("devstoreaccount1");
			tbAccName.setBounds(10, 53, 285, 20);
			contentPanel.add(tbAccName);
			tbAccName.setColumns(10);
		}
		{
			JLabel lblS = new JLabel("Account key:");
			lblS.setBounds(10, 84, 133, 14);
			contentPanel.add(lblS);
		}
		{
			tbAccKey = new JTextField();
			tbAccKey.setText("Eby8vdM02xNOcqFlqUwJPLlmEtlCDXJ1OUzFT50uSRZ6IFsuFq2UVErCz4I6tq/K1SZFPTOtr/KBHBeksoGMGw==");
			tbAccKey.setColumns(10);
			tbAccKey.setBounds(10, 100, 285, 20);
			contentPanel.add(tbAccKey);
		}
		
		chckbxDevelopmentModelocal = new JCheckBox("Development mode (local server)");
		chckbxDevelopmentModelocal.setSelected(true);
		chckbxDevelopmentModelocal.setBounds(10, 129, 285, 23);
		contentPanel.add(chckbxDevelopmentModelocal);
		{
			JPanel buttonPane = new JPanel();
			buttonPane.setLayout(new FlowLayout(FlowLayout.RIGHT));
			getContentPane().add(buttonPane, BorderLayout.SOUTH);
			{
				JButton okButton = new JButton("OK");
				okButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						isOk = true;
						setVisible(false);
					}
				});
				okButton.setActionCommand("OK");
				buttonPane.add(okButton);
				getRootPane().setDefaultButton(okButton);
			}
			{
				JButton cancelButton = new JButton("Cancel");
				cancelButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						dispose();
					}
				});
				cancelButton.setActionCommand("Cancel");
				buttonPane.add(cancelButton);
			}
		}
	}

	public boolean isOK() {
		return isOk;
	}

	public String getAccName() {
		return tbAccName.getText();
	}

	public String getAccKey() {
		return tbAccKey.getText();
	}

	public boolean getDevMode() {
		return chckbxDevelopmentModelocal.isSelected();
	}
}
